Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.handler
Interface Handler

All Known Subinterfaces:
  ObjectBinding

All Known Implementing Classes:
  AbstractBinding, AbstractHandler, AddressingHandler, AddressingInHandler, AddressingOutHandler, DispatchServiceHandler, DocumentBinding, FaultSender, FaultSoapSerializerHandler, HandlerPipeline, MessageBinding, OutMessageSender, ParseMessageHandler, ReadHeadersHandler, RPCEncodedBinding, SoapHttpTransport.FaultResponseCodeHandler, SoapSerializerHandler, ValidateHeadersHandler, WrappedBinding, XMPPFaultHandler

    public interface Handler

A handler is just something that processes an XML message.

If an exception occurrs in the invoke method, the entity which started the invocation, is responsible for turning the exception into a fault.

Since:
  Feb 18, 2004
Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `ROLE`

Method Summary
`java.lang.String` | `getPhase()` The phase which this handler would like to be in.
`java.lang.String[]` | `getRoles()` The roles which this service applies to.
`javax.xml.namespace.QName[]` | `getUnderstoodHeaders()`
`void` | `handleFault(XFireFault fault, MessageContext context)` Handles faults that occur in this handler.
`void` | `invoke(MessageContext context)` Invoke a handler.

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### getUnderstoodHeaders

    javax.xml.namespace.QName[] getUnderstoodHeaders()

  Returns:
    null or an empty array if there are no headers.

### getRoles

    java.lang.String[] getRoles()

  The roles which this service applies to.

  Returns:
    `null` or an empty if this endpoint handles no roles.

### getPhase

    java.lang.String getPhase()

  The phase which this handler would like to be in.

  Returns:
  See Also:
    `Phase`

### invoke

    void invoke(MessageContext context)
                throws java.lang.Exception

  Invoke a handler. If a fault occurs it will be handled via the `handleFault` method.

  Parameters:
    `message` - The message context.
  Throws:
    `java.lang.Exception`

### handleFault

    void handleFault(XFireFault fault,
                     MessageContext context)

  Handles faults that occur in this handler. This is not responsible for actually writing the fault response message.

  Parameters:
    `context` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.